Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
LibreOffice 4.0-git [geki-overlay] flavored features!
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3, 4, 5, 6, 7, 8, 9  Next  
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
bjlockie
Veteran
Veteran


Joined: 18 Oct 2002
Posts: 1182
Location: Canada

PostPosted: Thu Jun 09, 2011 4:51 pm    Post subject: Reply with quote

genstorm wrote:
btw there's a bug in 3.4.0.x where libreoffice --calc crashes when moving worksheets via drag and drop, 100% reproducible (for me). :lol:


I have that too.
I didn't report it because I figured it was just me.
I wonder if it has to do with our version of QT.
_________________
AMD FX6100 CPU, 16 GiB RAM, OCZ Vertex 3 SSD
ASRock 970 Extreme3 motherboard with S/PDIF audio
Galaxy-NVidia GeForce 8800GT video card, Cyber Power CP550HG USB UPS
Back to top
View user's profile Send private message
geki
Advocate
Advocate


Joined: 13 May 2004
Posts: 2117
Location: Germania

PostPosted: Thu Jun 09, 2011 6:01 pm    Post subject: Reply with quote

there are at least two calc dnd crasher on their bug database.
but they do not seem to be your case, who knows.

looks like calc core is a bit buggy still. :o
_________________
idiocracy - talk to your plants. they want brawndo. not water, like from the toilet. ... it's got electrolytes ...
Back to top
View user's profile Send private message
bjlockie
Veteran
Veteran


Joined: 18 Oct 2002
Posts: 1182
Location: Canada

PostPosted: Thu Jun 09, 2011 9:39 pm    Post subject: Reply with quote

bjlockie wrote:
genstorm wrote:
btw there's a bug in 3.4.0.x where libreoffice --calc crashes when moving worksheets via drag and drop, 100% reproducible (for me). :lol:


I have that too.
I didn't report it because I figured it was just me.
I wonder if it has to do with our version of QT.


I just tried it again and it works in 3.4.0.2.
Maybe I recompiled something it uses.
_________________
AMD FX6100 CPU, 16 GiB RAM, OCZ Vertex 3 SSD
ASRock 970 Extreme3 motherboard with S/PDIF audio
Galaxy-NVidia GeForce 8800GT video card, Cyber Power CP550HG USB UPS
Back to top
View user's profile Send private message
mattst88
Developer
Developer


Joined: 28 Oct 2004
Posts: 362

PostPosted: Fri Jun 10, 2011 5:43 pm    Post subject: Reply with quote

geki, this is some really cool work!

I know that the Boost and LibreOffice Gentoo teams are a bit understaffed. Would you be interested in becoming a Gentoo developer?

Hop on irc.freenode.net and /query me (mattst88) and I'll give you voice in #gentoo-dev so we can talk.

Thanks for your work!
_________________
My 1U Dual 833 MHz Alphaserver DS20L
The AlphaLinux.org Wiki
Back to top
View user's profile Send private message
geki
Advocate
Advocate


Joined: 13 May 2004
Posts: 2117
Location: Germania

PostPosted: Fri Jun 10, 2011 10:35 pm    Post subject: Reply with quote

mattst88
thank you for your interest, but if I had been interested I would have been a developer already.
betelgeuse asked me several times years ago. :o

I just do not want to get more involved as I am already for whatever reasons.

though, boost packages could need some love.
copy and paste of 500+ lines ebuilds is not good.

my boost eclasses are easily refactored for a single boost package more fitted for gentoo repository than my split-packages.
though, it seems there is no developer interested so far to take over. :roll:
_________________
idiocracy - talk to your plants. they want brawndo. not water, like from the toilet. ... it's got electrolytes ...


Last edited by geki on Fri Jun 10, 2011 10:50 pm; edited 1 time in total
Back to top
View user's profile Send private message
genstorm
Advocate
Advocate


Joined: 05 Apr 2007
Posts: 2475
Location: Austria

PostPosted: Fri Jun 10, 2011 10:44 pm    Post subject: Reply with quote

The only concern that I heard about your split boost eclass was the split docs it generated. ;)
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
geki
Advocate
Advocate


Joined: 13 May 2004
Posts: 2117
Location: Germania

PostPosted: Fri Jun 10, 2011 10:52 pm    Post subject: Reply with quote

genstorm
yes, up to 1.44 all was fine. but starting with 1.45, the boost tarball is fubared wrt to that and the tools or such have similar issues.
therefore and for the gentoo philosophy, just have one package. ;)
_________________
idiocracy - talk to your plants. they want brawndo. not water, like from the toilet. ... it's got electrolytes ...
Back to top
View user's profile Send private message
geki
Advocate
Advocate


Joined: 13 May 2004
Posts: 2117
Location: Germania

PostPosted: Thu Jun 16, 2011 12:15 pm    Post subject: Reply with quote

app-office/libreoffice-3.4.1.1 released!
_________________
idiocracy - talk to your plants. they want brawndo. not water, like from the toilet. ... it's got electrolytes ...
Back to top
View user's profile Send private message
mkyral
Tux's lil' helper
Tux's lil' helper


Joined: 06 May 2007
Posts: 146
Location: Czech Republic

PostPosted: Thu Jun 16, 2011 12:27 pm    Post subject: emerge failed Reply with quote

I'm trying to emerge, but it fails at beginning. Is it about the missing dependencies?


Code:


[14:11:04 root@nbmkyral-E6500 marian]# emerge -a libreoffice

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N     ] app-office/libreoffice-3.4.0.2  USE="cups dbus graphite gstreamer java kde ldap opengl python -bash-completion -custom-cflags -debug -eds -gnome -gtk -jemalloc -junit (-kdeenablefinal) -languagetool -mysql -nsplugin -odbc -odk -reportbuilder -templates -webdav -wiki" LINGUAS="cs -af -ar -as -ast -be_BY -bg -bn -bo -br -brx -bs -ca -ca_XV -cy -da -de -dgo -dz -el -en -en_GB -en_ZA -eo -es -et -eu -fa -fi -fr -ga -gd -gl -gu -he -hi -hr -hu -id -is -it -ja -ka -kk -km -kn -ko -kok -ks -ku -ky -lo -lt -lv -mai -mk -ml -mn -mni -mr -ms -my -nb -ne -nl -nn -nr -ns -oc -om -or -pa -pap -pl -ps -pt -pt_BR -ro -ru -rw -sa -sat -sd -sh -si -sk -sl -sq -sr -ss -st -sv -sw_TZ -ta -te -tg -th -ti -tn -tr -ts -ug -uk -ur -uz -ve -vi -xh -zh_CN -zh_TW -zu"                                           

Would you like to merge these packages? [Yes/No]

>>> Verifying ebuild manifests
>>> Running pre-merge checks for app-office/libreoffice-3.4.0.2
 *
 * This libreoffice version is experimental.
 * Things could just break.
 *
 * There are various extensions to libreoffice.
 * You may check ./configure for '--enable-ext-*'
 * and request them here: https://forums.gentoo.org/viewtopic-t-865091.html
 * Checking for at least 512MBytes RAM ...                                                                                                                                                                                                                              [ ok ]
 * Checking for at least 8000MBytes disk space at /tmp/tmpCIFlH4/portage/app-office/libreoffice-3.4.0.2/temp ...                                                                                                                                                        [ !! ]
 * Don't have at least 8000MBytes disk space at /tmp/tmpCIFlH4/portage/app-office/libreoffice-3.4.0.2/temp

 * Checking for at least 512MBytes disk space at //usr ...                                                                                                                                                                                                              [ ok ]

 * Bad things may happen! You may abort the build by pressing ctrl+c in
 * the next 15 seconds.
 * 
 * To make this kind of warning a fatal error, add a line to /etc/make.conf
 * setting CHECKREQS_ACTION="error". To skip build requirements checking,
 * set CHECKREQS_ACTION="ignore".
 * QA Notice: epause is not defined in EAPI=4, please file a bug at http://bugs.gentoo.org

>>> Emerging (1 of 1) app-office/libreoffice-3.4.0.2 from geki-overlay
..... cuted ....
 * Applying various patches (bugfixes/updates) ...
 *   Makefile.diff ...                                                                                                                                                                                                                                                  [ ok ]
 *   bison-2.5.diff ...                                                                                                                                                                                                                                                 [ ok ]
 *   gbuild.diff ...                                                                                                                                                                                                                                                    [ ok ]
 *   libdb-check.diff ...                                                                                                                                                                                                                                               [ ok ]
 *   sal-sandbox.diff ...                                                                                                                                                                                                                                               [ ok ]
 *   sdext-presenter.diff ...                                                                                                                                                                                                                                           [ ok ]
 * Done with patching
 * Running eautoreconf in '/var/tmp/portage/app-office/libreoffice-3.4.0.2/work/libreoffice-bootstrap-3.4.0.2' ...
 * Running aclocal ...                                                                                                                                                                                                                                                  [ ok ]
 * Running autoconf ...                                                                                                                                                                                                                                                 [ ok ]
>>> Source prepared.
>>> Configuring source in /var/tmp/portage/app-office/libreoffice-3.4.0.2/work/libreoffice-bootstrap-3.4.0.2 ...
running ./configure with '--prefix=/usr' '--sysconfdir=/etc' '--libdir=/usr/lib64' '--mandir=/usr/share/man' '--docdir=/usr/share/doc/libreoffice-3.4.0.2' '--with-external-dict-dir=/usr/share/myspell' '--with-external-hyph-dir=/usr/share/myspell' '--with-external-thes-dir=/usr/share/myspell' '--with-system-boost' '--with-system-curl' '--with-system-db' '--with-system-dicts' '--with-system-expat' '--with-system-hunspell' '--with-system-icu' '--with-system-libxslt' '--with-system-openssl' '--with-system-vigra' '--without-myspell-dicts' '--without-stlport' '--with-system-zlib' '--with-vendor=Gentoo Foundation' '--with-build-version=geki built 3.4.0.2 (unsupported)' '--with-lang=en-US cs' '--with-num-cpus=2' '--with-system-hunspell' '--with-system-libwpd' '--with-system-libwpg' '--with-system-libwps' '--enable-cairo' '--with-system-cairo' '--disable-kde' '--disable-layout' '--disable-gtk' '--enable-kde4' '--enable-strip-solver' '--with-java' '--disable-odk' '--without-sun-templates' '--disable-crashdump' '--disable-epm' '--disable-dependency-tracking' '--disable-zenity' '--disable-fetch-external' '--with-external-tar=/var/tmp/portage/app-office/libreoffice-3.4.0.2/distdir' '--without-afms' '--without-fonts' '--without-ppds' '--with-system-cppunit' '--with-system-openssl' '--with-system-redland' '--enable-xrender-link' '--disable-systray' '--with-extension-integration' '--enable-ext-pdfimport' '--enable-ext-presenter-console' '--enable-ext-presenter-minimizer' '--disable-ext-report-builder' '--disable-ext-wiki-publisher' '--disable-ext-mysql-connector' '--without-languagetool' '--disable-binfilter' '--enable-dbus' '--disable-symbols' '--enable-cups' '--disable-evolution2' '--enable-graphite' '--with-system-graphite' '--enable-ldap' '--with-openldap' '--without-system-odbc' '--enable-opengl' '--with-system-mesa-headers' '--enable-python' '--disable-neon' '--without-system-neon' '--without-system-mysql' '--without-system-mysql-cppconn' '--disable-mozilla' '--without-system-mozilla' '--disable-gnome-vfs' '--disable-gio' '--disable-lockdown' '--disable-gconf' '--enable-gstreamer' '--with-ant-home=/usr/share/ant' '--with-jdk-home=/opt/icedtea6-bin-1.10.1' '--with-java-target-version=1.5' '--with-jvm-path=/usr/lib64/' '--with-system-beanshell' '--with-system-lucene' '--with-beanshell-jar=/usr/share/bsh/lib/bsh.jar' '--with-lucene-core-jar=/usr/share/lucene-2.9/lib/lucene-core.jar' '--with-lucene-analyzers-jar=/usr/share/lucene-2.9/lib/lucene-analyzers.jar' '--without-junit'
configure: WARNING: unrecognized options: --without-languagetool
********************************************************************
*
*   Running LibreOffice build configuration.
*
********************************************************************

checking for grep that handles long lines and -e... /bin/grep
checking for egrep... /bin/grep -E
checking for gawk... gawk
checking for gawk... /usr/bin/gawk
checking for sed... /bin/sed
checking for bash... /bin/sh
checking for GNU or BSD tar... tar
checking for solenv environment... default
checking build system type... x86_64-unknown-linux-gnu
checking host system type... x86_64-unknown-linux-gnu
checking whether to enable crashdump feature... no
checking whether to turn warnings to errors... no
checking whether to do a debug build... no
checking whether to build with additional debug utilities... no, full product build
checking whether to include symbols... no
checking whether to strip the solver or not.... yes
checking whether to enable native cups support... yes
checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables...
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking for cupsPrintFiles in -lcups... yes
checking how to run the C preprocessor... gcc -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking cups/cups.h usability... yes
checking cups/cups.h presence... yes
checking for cups/cups.h... yes
checking whether to enable fontconfig support... yes
checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for FONTCONFIG... yes
checking whether to enable filters for legacy binary file formats (StarOffice 5.2)... no
checking whether to use RPATH in shared libraries... yes
checking whether to include MySpell dictionaries... no
checking whether to use dicts from external paths... yes
checking for spelling dictionary directory... file:///usr/share/myspell
checking for hyphenation patterns directory... file:///usr/share/myspell
checking for thesaurus directory... file:///usr/share/myspell
checking gcc home... /usr
checking for gcc... (cached) gcc
checking whether we are using the GNU C compiler... (cached) yes
checking whether gcc accepts -g... (cached) yes
checking for gcc option to accept ISO C89... (cached) none needed
checking for gcc... /usr/bin/gcc
checking the GNU gcc compiler version... checked (gcc 4.5.2)
checking for -Bsymbolic-functions linker support ... found
checking whether to enable pch feature... no
checking for GNU make... make
checking the GNU make version... make 3.82
3+:
checking for --hash-style gcc linker support ... hello world
gnu
checking for perl... /usr/bin/perl
checking the Perl version... checked (perl 5)
checking for required Perl modules... all modules found
checking for ANSI C header files... (cached) yes
checking for g++... g++
checking whether we are using the GNU C++ compiler... yes
checking whether g++ accepts -g... yes
checking how to run the C++ preprocessor... g++ -E
checking how to run the C preprocessor... gcc -E
checking size of long... 8
checking whether byte ordering is bigendian... no
checking for special C compiler options needed for large files... no
checking for _FILE_OFFSET_BITS value needed for large files... no
checking whether we are using the GNU C++ compiler... (cached) yes
checking whether g++ accepts -g... (cached) yes
checking the GNU C++ compiler version... checked (g++ 4.5.2)
checking for g++ include path... /usr/lib/gcc/x86_64-pc-linux-gnu/4.5.2/include/g++-v4
checking Whether building STLPort library makes sense... no
checking Whether STLPort library will be actually built... no
checking whether gcc supports -fvisibility=hidden... yes
checking whether gcc supports -std=c++0x without Language Defect 757... yes
checking whether we are able to use --ccache-skip... only used on Mac currently, skipping
checking if STL headers are visibility safe... yes
checking if gcc is -fvisibility-inlines-hidden safe with STL headers... yes
checking if gcc has a visibility bug with class-level attributes (GCC bug 26905)... no
checking which memory allocator to use... internal
checking whether to add custom build version... yes, geki built 3.4.0.2 (unsupported)
checking whether to build with Java support... yes
checking the installed JDK... checked (JDK 1.6.0_22)
checking for target java bytecode version... 1.5
configure: JAVA_HOME=/opt/icedtea6-bin-1.10.1
checking for jawt lib name... -ljawt
checking for dmake... no
dmake will be built on ./bootstrap
checking whether to enable EPM for packing... no
checking for gperf... /usr/bin/gperf
checking gperf version... OK
checking for pkg-config... (cached) /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking whether to build the stax... yes
checking whether to build the ODK... no
checking whether to provide libstdc++/libgcc_s in the installset... yes
checking which zlib to use... external
checking zlib.h usability... yes
checking zlib.h presence... yes
checking for zlib.h... yes
checking for deflate in -lz... yes
checking which jpeg to use... external
checking jpeglib.h usability... yes
checking jpeglib.h presence... yes
checking for jpeglib.h... yes
checking for jpeg_resync_to_restart in -ljpeg... yes
checking which expat to use... external
checking expat.h usability... yes
checking expat.h presence... yes
checking for expat.h... yes
checking for XML_ParserCreate in -lexpat... yes
checking which libwpd to use... external
checking for LIBWPD... yes
checking which cppunit to use... external
checking for CPPUNIT... yes
checking whether freetype is available... checking for FREETYPE... yes
checking which libwps to use... external
checking for LIBWPS... yes
checking which libwpg to use... external
checking for LIBWPG... yes
checking for FT_GlyphSlot_Embolden in -lfreetype... yes
to prevent incompatibilities between internal libxml2 and libxslt, the office will be build with system-libxml
checking which libxslt to use... external
checking for LIBXSLT... yes
checking for xsltproc... /usr/bin/xsltproc
checking which libxml to use... external
checking for LIBXML... yes
checking whether to enable Python 2.x UNO API... yes
checking which python to use... external
checking for a Python interpreter with version >= 2.2... python
checking for python... /usr/bin/python
checking for python version... 2.7
checking for python platform... linux2
checking for python script directory... ${prefix}/lib64/python2.7/site-packages
checking for python extension module directory... ${exec_prefix}/lib64/python2.7/site-packages
checking Python.h usability... yes
checking Python.h presence... yes
checking for Python.h... yes
checking which translate-toolkit to use... internal
checking which db to use... external
checking for db-5.1/db.h... no
checking for db5.1/db.h... no
checking for db-5.0/db.h... no
checking for db5.0/db.h... no
checking for db-5/db.h... no
checking for db5/db.h... no
checking for db-4.8/db.h... no
checking for db4.8/db.h... yes
checking whether db is at least 4.1... yes
checking for db_create in -ldb-5.1... no
checking for __db185_open in -ldb-5.1... no
checking for db_create in -ldb5.1... no
checking for __db185_open in -ldb5.1... no
checking for db_create in -ldb-5.0... no
checking for __db185_open in -ldb-5.0... no
checking for db_create in -ldb5.0... no
checking for __db185_open in -ldb5.0... no
checking for db_create in -ldb-5... no
checking for __db185_open in -ldb-5... no
checking for db_create in -ldb5... no
checking for __db185_open in -ldb5... no
checking for db_create in -ldb-4.8... yes
checking which lucene to use... external
checking for /usr/share/lucene-2.9/lib/lucene-core.jar... yes
checking for /usr/share/lucene-2.9/lib/lucene-core.jar... (cached) yes
checking whether lucene is version 2.x... yes
checking whether to build the MySQL Connector extension... no
checking which hsqldb to use... internal
checking which beanshell to use... external
checking for /usr/share/bsh/lib/bsh.jar... yes
checking which saxon to use... internal
checking which curl to use... external
checking for curl-config... /usr/bin/curl-config
checking whether curl is >= 7.13.1... yes
checking which boost to use... external
checking boost/shared_ptr.hpp usability... yes
checking boost/shared_ptr.hpp presence... yes
checking for boost/shared_ptr.hpp... yes
checking boost/spirit/include/classic_core.hpp usability... yes
checking boost/spirit/include/classic_core.hpp presence... yes
checking for boost/spirit/include/classic_core.hpp... yes
checking boost/function.hpp usability... yes
checking boost/function.hpp presence... yes
checking for boost/function.hpp... yes
checking boost/unordered_map.hpp usability... yes
checking boost/unordered_map.hpp presence... yes
checking for boost/unordered_map.hpp... yes
checking whether boost/function.hpp compiles with -fno-exceptions... yes
checking which mdds to use... internal
checking which hash container mdds shall use... boost::unordered_map
checking which vigra to use... external
checking vigra/copyimage.hxx usability... yes
checking vigra/copyimage.hxx presence... yes
checking for vigra/copyimage.hxx... yes
checking which odbc headers to use... internal
checking whether to enable build of Mozilla/Mozilla NSS-using components... no
checking whether to build Mozilla addressbook connectivity... no
checking whether to build XML Security support... no, since Mozilla (NSS) disabled but needed
checking whether to build LDAP configuration backend... yes
checking which LDAP SDK to use... OpenLDAP
checking ldap.h usability... yes
checking ldap.h presence... yes
checking for ldap.h... yes
checking for ldap_simple_bind_s in -lldap... yes
checking for ldap_set_option in -lldap... yes
configure: creating ./config.status
config.status: creating ooo.lst
configure: WARNING: unrecognized options: --without-languagetool
checking which mozilla to use... none
checking which sane header to use... internal
checking which icu to use... external
checking for unicode/rbbi.h... checked.
checking for genbrk... /usr/bin/genbrk
checking for genccode... /usr/sbin/genccode
checking for gencmn... /usr/sbin/gencmn
checking for icu-config... /usr/bin/icu-config
checking ICU version... OK
checking whether to enable graphite support... yes
checking which graphite to use... external
checking for GRAPHITE... no
configure: error: Package requirements (graphite2 >= 0.9.3 ) were not met:

No package 'graphite2' found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables GRAPHITE_CFLAGS
and GRAPHITE_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.
>>> Source configured.
>>> Compiling source in /var/tmp/portage/app-office/libreoffice-3.4.0.2/work/libreoffice-bootstrap-3.4.0.2 ...
./autogen.sh
running ./configure with ''
********************************************************************
*
*   Running LibreOffice build configuration.
*
********************************************************************

checking for grep that handles long lines and -e... /bin/grep
checking for egrep... /bin/grep -E
checking for gawk... gawk
checking for gawk... /usr/bin/gawk
checking for sed... /bin/sed
checking for bash... /bin/sh
checking for GNU or BSD tar... tar
checking for solenv environment... default
checking build system type... x86_64-unknown-linux-gnu
checking host system type... x86_64-unknown-linux-gnu
checking whether to enable crashdump feature... no
checking whether to turn warnings to errors... no
checking whether to do a debug build... no
checking whether to build with additional debug utilities... no, full product build
checking whether to include symbols... no
checking whether to strip the solver or not.... yes
checking whether to enable native cups support... yes
checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables...
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking for cupsPrintFiles in -lcups... yes
checking how to run the C preprocessor... gcc -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking cups/cups.h usability... yes
checking cups/cups.h presence... yes
checking for cups/cups.h... yes
checking whether to enable fontconfig support... yes
checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for FONTCONFIG... yes
checking whether to enable filters for legacy binary file formats (StarOffice 5.2)... no
checking whether to use RPATH in shared libraries... yes
checking whether to include MySpell dictionaries... yes
checking whether to use dicts from external paths... no
checking gcc home... /usr
checking for gcc... (cached) gcc
checking whether we are using the GNU C compiler... (cached) yes
checking whether gcc accepts -g... (cached) yes
checking for gcc option to accept ISO C89... (cached) none needed
checking for gcc... /usr/bin/gcc
checking the GNU gcc compiler version... checked (gcc 4.5.2)
checking for -Bsymbolic-functions linker support ... found
checking whether to enable pch feature... no
checking for GNU make... make
checking the GNU make version... make 3.82
3+:
checking for --hash-style gcc linker support ... hello world
gnu
checking for perl... /usr/bin/perl
checking the Perl version... checked (perl 5)
checking for required Perl modules... all modules found
checking for ANSI C header files... (cached) yes
checking for g++... g++
checking whether we are using the GNU C++ compiler... yes
checking whether g++ accepts -g... yes
checking how to run the C++ preprocessor... g++ -E
checking how to run the C preprocessor... gcc -E
checking size of long... 8
checking whether byte ordering is bigendian... no
checking for special C compiler options needed for large files... no
checking for _FILE_OFFSET_BITS value needed for large files... no
checking whether we are using the GNU C++ compiler... (cached) yes
checking whether g++ accepts -g... (cached) yes
checking the GNU C++ compiler version... checked (g++ 4.5.2)
checking for g++ include path... /usr/lib/gcc/x86_64-pc-linux-gnu/4.5.2/include/g++-v4
checking Whether building STLPort library makes sense... no
checking Whether STLPort library will be actually built... no
checking whether gcc supports -fvisibility=hidden... yes
checking whether gcc supports -std=c++0x without Language Defect 757... yes
checking whether we are able to use --ccache-skip... only used on Mac currently, skipping
checking if STL headers are visibility safe... yes
checking if gcc is -fvisibility-inlines-hidden safe with STL headers... yes
checking if gcc has a visibility bug with class-level attributes (GCC bug 26905)... no
checking which memory allocator to use... internal
checking whether to add custom build version... no
checking whether to build with Java support... yes
checking for java... /opt/icedtea6-bin-1.10.1/bin/java
checking the installed JDK... checked (JDK 1.6.0_22)
checking for target java bytecode version... 1.6
checking for javac... /opt/icedtea6-bin-1.10.1/bin/javac
checking for javadoc... /opt/icedtea6-bin-1.10.1/bin/javadoc
configure: JAVA_HOME=/opt/icedtea6-bin-1.10.1
checking for jawt lib name... -ljawt
checking for dmake... no
dmake will be built on ./bootstrap
checking whether to enable EPM for packing... no
checking for gperf... /usr/bin/gperf
checking gperf version... OK
checking for pkg-config... (cached) /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking whether to build the stax... yes
checking whether to build the ODK... yes
checking whether to build unowinreg.dll... no
checking whether to provide libstdc++/libgcc_s in the installset... yes
checking which zlib to use... external
checking zlib.h usability... yes
checking zlib.h presence... yes
checking for zlib.h... yes
checking for deflate in -lz... yes
checking which jpeg to use... external
checking jpeglib.h usability... yes
checking jpeglib.h presence... yes
checking for jpeglib.h... yes
checking for jpeg_resync_to_restart in -ljpeg... yes
checking which expat to use... internal
checking which libwpd to use... internal
checking which cppunit to use... internal
checking whether freetype is available... checking for FREETYPE... yes
checking which libwps to use... internal
checking which libwpg to use... internal
checking for FT_GlyphSlot_Embolden in -lfreetype... yes
checking which libxslt to use... internal
checking which libxml to use... internal
checking whether to enable Python 2.x UNO API... yes
checking which python to use... external
checking for a Python interpreter with version >= 2.2... python
checking for python... /usr/bin/python
checking for python version... 2.7
checking for python platform... linux2
checking for python script directory... ${prefix}/lib64/python2.7/site-packages
checking for python extension module directory... ${exec_prefix}/lib64/python2.7/site-packages
checking Python.h usability... yes
checking Python.h presence... yes
checking for Python.h... yes
checking which translate-toolkit to use... internal
checking which db to use... internal
checking which lucene to use... internal
checking whether to build the MySQL Connector extension... no
checking which hsqldb to use... internal
checking which beanshell to use... internal
checking which saxon to use... internal
checking which curl to use... internal
checking which boost to use... internal
checking which mdds to use... internal
checking which hash container mdds shall use... boost::unordered_map
checking which vigra to use... internal
checking which odbc headers to use... internal
checking whether to enable build of Mozilla/Mozilla NSS-using components... yes
checking whether to build Mozilla addressbook connectivity... yes
checking whether to build XML Security support... yes
checking whether to build LDAP configuration backend... yes
checking which LDAP SDK to use... Netscape/Mozilla
configure: creating ./config.status
config.status: creating ooo.lst
checking which mozilla to use... internal
checking for toolkit mozilla should use... gtk2
checking whether to build Mozilla/SeaMonkey... yes
checking whether to build provided NSS module... yes
checking for mozilla sources... checking for a169ab152209200a7bad29a275cb0333-seamonkey-1.1.14.source.tar.gz... will be fetched
checking for MOZLIBREQ... yes
checking for MOZLIBREQ... yes
checking which sane header to use... internal
checking which icu to use... internal
checking whether to enable graphite support... yes
checking which graphite to use... internal
checking for X... libraries , headers
checking for gethostbyname... yes
checking for connect... yes
checking for remove... yes
checking for shmat... yes
checking for IceConnectionNumber in -lICE... yes
checking for XOpenDisplay in -lX11... yes
checking for XauDisposeAuth in -lXau... yes
checking whether to use Xaw... yes
checking for X11/Xaw/Label.h... yes
checking for main in -lXaw... yes
checking whether to link to Xrender... no, dynamically open it
checking which Xrender headers to use... internal
checking whether to enable RandR support... yes
checking for XRANDR... yes
checking whether to use neon... yes
checking which neon to use... internal
checking which libssl to use... internal
checking which redland library to use... internal
checking which libhunspell to use... internal
checking which altlinuxhyph to use... internal
checking which mythes to use... internal
checking which lpsolve to use... internal
checking which libtextcat to use... internal
checking which libtextcat data directory to use... internal
checking whether libc is >= 2.1.1... yes
checking for getopt... yes
checking for readdir_r... yes
checking for bison... /usr/bin/bison
checking the bison version... checked (/usr/bin/bison 2.5)
checking for flex... /usr/bin/flex
checking for patch... /usr/bin/patch
checking for gnucp... no
checking for cp... /bin/cp
checking whether /bin/cp is GNU cp from coreutils with preserve= support... yes
checking for zip... /usr/bin/zip
checking for unzip... /usr/bin/unzip
checking which VCLplugs shall be built... gtk
checking whether to enable GConf support... yes
checking for GCONF... yes
checking whether to enable GNOME VFS support... yes
checking for GNOMEVFS... no
configure: error: Package requirements (gnome-vfs-2.0 >= 2.6.0 ) were not met:

No package 'gnome-vfs-2.0' found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables GNOMEVFS_CFLAGS
and GNOMEVFS_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.
bash: ./*Env.Set.sh: No such file or directory
make: *** [dmake/dmake] Error 1
 * ERROR: app-office/libreoffice-3.4.0.2 failed (compile phase):
 *   make failed
 *
 * Call stack:
 *     ebuild.sh, line   56:  Called src_compile
 *   environment, line 6554:  Called libreoffice_src_compile
 *   environment, line 5555:  Called _libreoffice_die 'make failed'
 *   environment, line  986:  Called die
 * The specific snippet of code:
 *       die "${@}"
 *
 * If you need support, post the output of 'emerge --info =app-office/libreoffice-3.4.0.2',
 * the complete build log and the output of 'emerge -pqv =app-office/libreoffice-3.4.0.2'.
 * This ebuild used the following eclasses from overlays:
 *   /var/lib/layman/openoffice-geki/eclass/libreoffice.eclass
 *   /var/lib/layman/openoffice-geki/eclass/boost-utils.eclass
 * This ebuild is from an overlay named 'geki-overlay': '/var/lib/layman/openoffice-geki/'
!!! When you file a bug report, please include the following information:
GENTOO_VM=icedtea6-bin  CLASSPATH="" JAVA_HOME="/opt/icedtea6-bin-1.10.1"
JAVACFLAGS="-source 1.5 -target 1.5" COMPILER=""
and of course, the output of emerge --info
 * The complete build log is located at '/var/log/portage/app-office:libreoffice-3.4.0.2:20110616-121550.log'.
 * The ebuild environment file is located at '/var/tmp/portage/app-office/libreoffice-3.4.0.2/temp/environment'.
 * S: '/var/tmp/portage/app-office/libreoffice-3.4.0.2/work/libreoffice-bootstrap-3.4.0.2'

>>> Failed to emerge app-office/libreoffice-3.4.0.2, Log file:



Code:
Portage 2.2.0_alpha41 (default/linux/amd64/10.0/desktop/kde, gcc-4.5.2, glibc-2.13-r2, 2.6.39-gentoo-r1 x86_64)
=================================================================
System uname: Linux-2.6.39-gentoo-r1-x86_64-Intel-R-_Core-TM-2_Duo_CPU_P8400_@_2.26GHz-with-gentoo-2.0.2
Timestamp of tree: Thu, 16 Jun 2011 04:45:01 +0000
app-shells/bash:          4.2_p10
dev-java/java-config:     2.1.11-r3
dev-lang/python:          2.7.1-r1, 3.2
dev-util/cmake:           2.8.4-r1
sys-apps/baselayout:      2.0.2
sys-apps/openrc:          0.8.2-r1
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.13, 2.68
sys-devel/automake:       1.9.6-r3, 1.10.3, 1.11.1-r1
sys-devel/binutils:       2.21
sys-devel/gcc:            4.5.2
sys-devel/gcc-config:     1.4.1-r1
sys-devel/libtool:        2.4-r1
sys-devel/make:           3.82-r1
sys-kernel/linux-headers: 2.6.38 (virtual/os-headers)
sys-libs/glibc:           2.13-r2
Repositories: gentoo kde sunrise mozilla geki-overlay overlay
Installed sets:
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/openvpn/easy-rsa"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.3/ext-active/ /etc/php/cgi-php5.3/ext-active/ /etc/php/cli-php5.3/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--keep-going"
FEATURES="assume-digests binpkg-logs distlocks ebuild-locks fixlafiles fixpackages news parallel-fetch preserve-libs protect-owned sandbox sfperms splitdebug strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv"
FFLAGS=""
GENTOO_MIRRORS="http://gentoo.mirror.web4u.cz/ http://gentoo.supp.name/"
LANG="cs_CZ.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="cs"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_EXTRA_OPTS="--quiet"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/kde /var/lib/layman/sunrise /var/lib/layman/mozilla /var/lib/layman/openoffice-geki /usr/local/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="7zip X a52 aac acl acpi alsa amd64 berkdb bluetooth branding bzip2 cairo cdr cli consolekit cracklib crypt cups cxx dbus declarative dri dts dvd dvdr emboss encode exif faad fam ffmpeg firefox flac fortran gdbm gdu gif git gpm gstreamer iconv imagemagick ipv6 jpeg jpeg2k kde kde4 kipi lame lcms ldap libnotify logrotate lzma lzo mad matroska mmx mmxext mng modules mozilla mp3 mp4 mpeg mplayer msql mudflap multilib ncurses nls nptl nptlonly ogg opengl openmp pam pango pcre pdf perl phonon plasma png policykit ppds pppd python qt3support qt4 quicktime raw readline samba sdl semantic-desktop session smp spell sqlite sqlite3 sse sse2 ssl ssse3 startup-notification subversion svg sysfs tcpd theora threads thumbnail thunderbird tiff truetype udev unicode unzip usb vim-syntax vorbis webkit wmf wmp x264 xcb xcomposite xine xinerama xml xorg xscreensaver xulrunner xv xvid zlib" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="braindump flow karbon kexi kpresenter krita tables words" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" FOO2ZJS_DEVICES="oki3200" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse synaptics evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="cs" PHP_TARGETS="php5-3" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="nvidia vesa" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS
Back to top
View user's profile Send private message
geki
Advocate
Advocate


Joined: 13 May 2004
Posts: 2117
Location: Germania

PostPosted: Thu Jun 16, 2011 2:09 pm    Post subject: Reply with quote

mkyral
thanks for reporting! gentoo does not ship graphite2 library (yet).
btw, I hope you read your errors. :o


forgot to mention, I am away for two weeks. have fun! :twisted:
_________________
idiocracy - talk to your plants. they want brawndo. not water, like from the toilet. ... it's got electrolytes ...
Back to top
View user's profile Send private message
Lustmored
Apprentice
Apprentice


Joined: 28 May 2010
Posts: 204
Location: Poland

PostPosted: Thu Jun 16, 2011 2:35 pm    Post subject: Reply with quote

Does it support templates flag yet?
Back to top
View user's profile Send private message
bjlockie
Veteran
Veteran


Joined: 18 Oct 2002
Posts: 1182
Location: Canada

PostPosted: Thu Jun 16, 2011 3:13 pm    Post subject: Reply with quote

I use Firefox and I'm trying to directly open a spreadsheet.
I can set it to use '/usr/bin/libreoffice' but is there a command to run calc?
_________________
AMD FX6100 CPU, 16 GiB RAM, OCZ Vertex 3 SSD
ASRock 970 Extreme3 motherboard with S/PDIF audio
Galaxy-NVidia GeForce 8800GT video card, Cyber Power CP550HG USB UPS
Back to top
View user's profile Send private message
mkyral
Tux's lil' helper
Tux's lil' helper


Joined: 06 May 2007
Posts: 146
Location: Czech Republic

PostPosted: Thu Jun 16, 2011 3:32 pm    Post subject: Reply with quote

bjlockie wrote:
I use Firefox and I'm trying to directly open a spreadsheet.
I can set it to use '/usr/bin/libreoffice' but is there a command to run calc?


There are commands localc, lowriter...

try:
Code:
equery f libreoffice |grep /usr/bin
Back to top
View user's profile Send private message
bjlockie
Veteran
Veteran


Joined: 18 Oct 2002
Posts: 1182
Location: Canada

PostPosted: Thu Jun 16, 2011 3:41 pm    Post subject: Reply with quote

mkyral wrote:
bjlockie wrote:
I use Firefox and I'm trying to directly open a spreadsheet.
I can set it to use '/usr/bin/libreoffice' but is there a command to run calc?


There are commands localc, lowriter...

try:
Code:
equery f libreoffice |grep /usr/bin


Not on my machine: :-(
$ ls -l /usr/bin/lo*
-rwxr-xr-x 1 root root 111272 Jun 8 03:14 /usr/bin/loadkeys
-rwxr-xr-x 1 root root 22952 Jun 8 03:14 /usr/bin/loadunimap
-rwxr-xr-x 1 root root 38456 Jun 2 13:51 /usr/bin/locale
-rwxr-xr-x 1 root root 326696 Jun 2 13:51 /usr/bin/localedef
-rwxr-xr-x 1 root root 15112 Jun 8 02:54 /usr/bin/logger
-rwxr-xr-x 1 root root 22760 Jun 8 08:44 /usr/bin/logname
-rwxr-xr-x 1 root root 10312 Jun 8 02:54 /usr/bin/look
-rwxr-xr-x 1 root root 43512 Jan 4 13:34 /usr/bin/lookbib
_________________
AMD FX6100 CPU, 16 GiB RAM, OCZ Vertex 3 SSD
ASRock 970 Extreme3 motherboard with S/PDIF audio
Galaxy-NVidia GeForce 8800GT video card, Cyber Power CP550HG USB UPS
Back to top
View user's profile Send private message
Aquous
l33t
l33t


Joined: 08 Jan 2011
Posts: 647

PostPosted: Thu Jun 16, 2011 3:51 pm    Post subject: Reply with quote

If it helps:
Code:
$ cat `which localc`
#!/bin/sh
unset PYTHONPATH
/usr/lib64/libreoffice/program/soffice -calc "$@"
Back to top
View user's profile Send private message
genstorm
Advocate
Advocate


Joined: 05 Apr 2007
Posts: 2475
Location: Austria

PostPosted: Thu Jun 16, 2011 3:52 pm    Post subject: Reply with quote

That has changed with 3.4.

libreoffice --calc

is the way to go. :)
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
bjlockie
Veteran
Veteran


Joined: 18 Oct 2002
Posts: 1182
Location: Canada

PostPosted: Thu Jun 16, 2011 4:02 pm    Post subject: Reply with quote

genstorm wrote:
That has changed with 3.4.

libreoffice --calc

is the way to go. :)


I can only set Firefox to use single commands so I have to make scripts with no arguments.
I'm surprised no one else has pointed this out.
_________________
AMD FX6100 CPU, 16 GiB RAM, OCZ Vertex 3 SSD
ASRock 970 Extreme3 motherboard with S/PDIF audio
Galaxy-NVidia GeForce 8800GT video card, Cyber Power CP550HG USB UPS
Back to top
View user's profile Send private message
bjlockie
Veteran
Veteran


Joined: 18 Oct 2002
Posts: 1182
Location: Canada

PostPosted: Thu Jun 16, 2011 4:21 pm    Post subject: Reply with quote

http://download.documentfoundation.org/libreoffice/src/libreoffice-bootstrap-3.4.1.1.tar.bz2 file not found.
_________________
AMD FX6100 CPU, 16 GiB RAM, OCZ Vertex 3 SSD
ASRock 970 Extreme3 motherboard with S/PDIF audio
Galaxy-NVidia GeForce 8800GT video card, Cyber Power CP550HG USB UPS
Back to top
View user's profile Send private message
mkyral
Tux's lil' helper
Tux's lil' helper


Joined: 06 May 2007
Posts: 146
Location: Czech Republic

PostPosted: Thu Jun 16, 2011 4:32 pm    Post subject: Reply with quote

genstorm wrote:
That has changed with 3.4.

libreoffice --calc

is the way to go. :)


I had installed libreoffice-bin from portage and these commands worked. So is it only in this overlay?
Back to top
View user's profile Send private message
genstorm
Advocate
Advocate


Joined: 05 Apr 2007
Posts: 2475
Location: Austria

PostPosted: Thu Jun 16, 2011 5:34 pm    Post subject: Reply with quote

Either that, or the change will also come to portage but only after 3.4.0, who knows. I upgraded to 3.4.0.1 without intermediate step, so I can't tell. ;)
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
dolphinaura
Tux's lil' helper
Tux's lil' helper


Joined: 13 Jul 2010
Posts: 145

PostPosted: Fri Jun 17, 2011 6:00 pm    Post subject: Reply with quote

bjlockie wrote:
http://download.documentfoundation.org/libreoffice/src/libreoffice-bootstrap-3.4.1.1.tar.bz2 file not found.

Same. I just copied the ebuild to libreoffice-3.4.0.2.ebuild and digested it.
_________________
------------------------
Dolphinaura
http://twitter.com/dolphinaura
http://dolphinaura.com
Back to top
View user's profile Send private message
Genewb
Apprentice
Apprentice


Joined: 09 Jan 2007
Posts: 165

PostPosted: Fri Jun 17, 2011 6:20 pm    Post subject: Reply with quote

bjlockie wrote:
http://download.documentfoundation.org/libreoffice/src/libreoffice-bootstrap-3.4.1.1.tar.bz2 file not found.

You can find the tarballs here.
_________________
I don't give a darn about "experience", just functional copyleft software.
Back to top
View user's profile Send private message
dolphinaura
Tux's lil' helper
Tux's lil' helper


Joined: 13 Jul 2010
Posts: 145

PostPosted: Fri Jun 17, 2011 11:31 pm    Post subject: Reply with quote

I keep on getting an internal build error :(
Code:

ERROR: error 65280 occurred while making /var/tmp/portage/app-office/libreoffice-3.4.0.2/work/libreoffice-bootstrap-3.4.0.2/jfreereport/java/libxml
[/code]
_________________
------------------------
Dolphinaura
http://twitter.com/dolphinaura
http://dolphinaura.com
Back to top
View user's profile Send private message
genstorm
Advocate
Advocate


Joined: 05 Apr 2007
Posts: 2475
Location: Austria

PostPosted: Sat Jun 18, 2011 7:40 am    Post subject: Reply with quote

Successfully built 3.4.1.1 but still suffering from dnd crashes. ;)
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
mkyral
Tux's lil' helper
Tux's lil' helper


Joined: 06 May 2007
Posts: 146
Location: Czech Republic

PostPosted: Sat Jun 18, 2011 7:27 pm    Post subject: Reply with quote

genstorm wrote:
Successfully built 3.4.1.1 but still suffering from dnd crashes. ;)


You are a lucky man. I finished with following error :-(

Code:

[ebuild     U  ] app-office/libreoffice-3.4.1.1 [3.3.2] USE="cups dbus graphite%* gstreamer java kde ldap opengl python%* -bash-completion -custom-cflags -debug -eds -gnome -gtk -jemalloc% -junit% (-kdeenablefinal) -languagetool% -mysql% -nsplugin -odbc% -odk -reportbuilder% -templates -webdav% -wiki% (-aqua%) (-binfilter%)" LINGUAS="cs -af -ar -as -ast -be_BY -bg -bn -bo -br -brx -bs -ca -ca_XV -cy -da -de -dgo -dz -el -en -en_GB -en_ZA -eo -es -et -eu -fa -fi -fr -ga -gd -gl -gu -he -hi -hr -hu -id -is -it -ja -ka -kk -km -kn -ko -kok -ks -ku -ky -lo -lt -lv -mai -mk -ml -mn -mni -mr -ms -my -nb -ne -nl -nn -nr -ns -oc -om -or -pa% -pap -pl -ps -pt -pt_BR -ro -ru -rw -sa% -sat -sd -sh -si -sk -sl -sq -sr -ss -st -sv -sw_TZ -ta -te -tg -th -ti -tn -tr -ts -ug -uk -ur% -uz -ve -vi -xh -zh_CN -zh_TW -zu (-en_US%) (-pa_IN%) (-sa_IN%)" 0 kB [0=>1]

Total: 1 package (1 upgrade), Size of downloads: 0 kB
Portage tree and overlays:
 [0] /usr/portage
 [1] /var/lib/layman/openoffice-geki

...

[ build srs ] /var/tmp/portage/app-office/libreoffice-3.4.1.1/work/libreoffice-bootstrap-3.4.1.1/svx/source/fmcomp/gridctrl.src
merging /var/tmp/portage/app-office/libreoffice-3.4.1.1/work/libreoffice-bootstrap-3.4.1.1/solver/340/unxlngx6.pro/workdir/inc/svx/globlmn.hrc
[ build srs ] /var/tmp/portage/app-office/libreoffice-3.4.1.1/work/libreoffice-bootstrap-3.4.1.1/svx/source/form/datanavi.src

svx 0 #define ITEM_FORM_CONTROL_PROPERTIES !defined _GLOBLMN_HRC 0 all Con~trol... 20110618 20:41:25
   ^
f640: "/var/tmp/portage/app-office/libreoffice-3.4.1.1/work/libreoffice-bootstrap-3.4.1.1/solver/340/unxlngx6.pro/workdir/inc/svx/globlmn.hrc", line 1: Error: syntax error
f256: Error: !! 1 Error found!!
Error starting rsc2 compiler
make[1]: *** [/var/tmp/portage/app-office/libreoffice-3.4.1.1/work/libreoffice-bootstrap-3.4.1.1/solver/340/unxlngx6.pro/workdir/SrsPartTarget/svx/source/form/datanavi.src] Error 1
dmake:  Error code 2, while making 'all'

-----------------------------------------------------------------------
        Oh dear - something failed during the build - sorry !
  For more help with debugging build errors, please see the section in:
            http://wiki.documentfoundation.org/Development

  internal build errors:

ERROR: error 65280 occurred while making /var/tmp/portage/app-office/libreoffice-3.4.1.1/work/libreoffice-bootstrap-3.4.1.1/svx/prj

Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3, 4, 5, 6, 7, 8, 9  Next
Page 3 of 9

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum